net.dontdrinkandroot.visualization.util.timings

## Class MapTimings

- java.lang.Object
- - net.dontdrinkandroot.visualization.util.timings.MapTimings

All Implemented Interfaces:
  Timings

    public class MapTimings
    extends Object
    implements Timings

### Constructor Summary

Constructors
Constructor and Description
`MapTimings()`

### Method Summary

Methods
`void` `evaluate()`
`void` `start(String id)`
`void` `stop(String id)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MapTimings

    public MapTimings()

### Method Detail

#### start

    public void start(String id)

Specified by:
  `start` in interface `Timings`

#### stop

    public void stop(String id)

Specified by:
  `stop` in interface `Timings`

#### evaluate

    public void evaluate()

Specified by:
  `evaluate` in interface `Timings`